<div class="container">
    <form (ngSubmit)="submit()" [formGroup]="userForm">
        <div class="form-group">
            <label for="username">
                Username
            </label>
            <input type="text" id="username" class="form-control" placeholder="Username" [formControl]='userForm.get("username")' />
        </div>
        <div class="form-group">
            <label for="password">
                Password
            </label>
            <input type="password" id="password" class="form-control" placeholder="" [formControl]='userForm.get("password")' />
        </div>
        <button class='btn btn-primary' type="submit" [disabled]="userForm.invalid">
            login
        </button>
    </form>
</div>